Subject: Re: [PATCH net] ipv4: initialize flowi4_flags before calling fib_lookup()

From: David Ahern <[email-masked]>
Date: Tue, 22 Mar 2016 15:02:56 -0600

On 3/22/16 2:45 PM, Cong Wang wrote:
> @@ -1426,7 +1426,7 @@ int fib_table_lookup(struct fib_table *tb, const
> struct flowi4 *flp,
>                              nh->nh_flags & RTNH_F_LINKDOWN &&
>                              !(fib_flags & FIB_LOOKUP_IGNORE_LINKSTATE))
>                                  continue;
> -                       if (!(flp->flowi4_flags & FLOWI_FLAG_VRFSRC)) {
> +                       if (!(flp->flowi4_flags & FLOWI_FLAG_SKIP_NH_OIF)) {
>                                  if (flp->flowi4_oif &&
>                                      flp->flowi4_oif != nh->nh_oif)
>                                          continue;
>
> For me, it looks the bug was introduce by commit 35ebf65e851c6d9731abc6362b1.
>

Arguably yes since it added the function without initializing flags.

The commit I referenced (and even the VRF predecessor both of which 
originated in the v4.3) is the one introducing use of flow flags to the 
lookup. From a stable perspective going back to v4.3 is what matters.